#ifndef CHATSERVER_H
#define CHATSERVER_H

#include <QTcpServer>

class ChatServer : public QTcpServer
{
	Q_OBJECT

  public:
	explicit ChatServer(QObject *parent = 0);

  protected:
	virtual void incomingConnection(int socketId);
	virtual void incomingConnection(qintptr socketId);
};

#endif // CHATSERVER_H
